
Name:		plymouth-theme-lxde
Version:	0.2
Release:	%mkrel 2
License:	GPL
Group:		System/Kernel and hardware
URL:		http://pclinuxos.com
Source:		plymouth-theme-LXDE-%{version}.tar.xz
Summary:	Plymouth Theme LXDE
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:   	glibc >= 2.10.1
Obsoletes:	plymouth-theme-LXDE
Provides:	plymouth-theme-LXDE = %{version}-%{release}
BuildArch:       noarch

%description
Plymouth Theme for PCLinuxOS LXDE 2011

%prep

%setup -q -n plymouth-theme-LXDE-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/LXDE
cp * $RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/LXDE


%posttrans
/usr/sbin/plymouth-set-default-theme LXDE
/usr/share/bootsplash/scripts/switch-themes LXDE

%files
%defattr(-,root,root)
%{_datadir}/plymouth/themes/LXDE/*
%dir %{_datadir}/plymouth/themes/LXDE

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{name}

%changelog
* Sat Jun 11 2011 Neal <nealbrks0 at gmail.com> 0.1-2pclos2011
- add %postun to fix nonremoval of theme folder

* Wed Jun 08 2011 Neal <nealbrks0 at gmail.com> 0.2-1pclos2010
- 2011 LXDE plymouth theme by Neal

